## flare-engine 0.19

=== CMakeLists.txt ===
Project (Flare)
cmake_minimum_required (VERSION 2.6)

Set (PACKAGE "FLARE")
Set (VERSION "0.18")


# Default definitions
if (NOT MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-math-errno -fno-exceptions")
  if (NOT CMAKE_CXX_COMPILER MATCHES "clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math")
  endif (NOT CMAKE_CXX_COMPILER MATCHES "clang")
  set(CMAKE_LD_FLAGS "-fwhole-program")
endif (NOT MSVC)

if (CMAKE_CXX_COMPILER MATCHES "clang")
  # clang needs lstdc++ linked explicitly:
  set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -lstdc++")
elseif ()
  # assume gcc:
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-enforce-eh-specs")
endif ()

if(CMAKE_BUILD_TYPE STREQUAL "Release")
  set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
elseif(CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
  set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -g0")
elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -pg")
  set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
endif()

set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")
set(MANDIR  "share/man"         CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where manual pages will be installed.")

If(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
Else(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
EndIf(NOT IS_ABSOLUTE "${DATADIR}")

# Detect missing dependencies

Find_Package (SDL REQUIRED)
If (NOT SDL_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl1.2-dev' package.")
Else (NOT SDL_FOUND)
  Include_Directories (${SDL_INCLUDE_DIR})
EndIf (NOT SDL_FOUND)

Find_Package (SDL_mixer REQUIRED)
If (NOT SDLMIXER_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-mixer development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-mixer1.2-dev' package.")
Else (NOT SDLMIXER_FOUND)
  Include_Directories (${SDLMIXER_INCLUDE_DIR})
EndIf (NOT SDLMIXER_FOUND)

Find_Package (SDL_image REQUIRED)
If (NOT SDLIMAGE_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-image development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-image1.2-dev' package.")
Else (NOT SDLIMAGE_FOUND)
  Include_Directories (${SDLIMAGE_INCLUDE_DIR})
EndIf (NOT SDLIMAGE_FOUND)

Find_Package (SDL_ttf REQUIRED)
If (NOT SDLTTF_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-ttf development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-ttf2.0-dev' package.")
Else (NOT SDLTTF_FOUND)
  Include_Directories (${SDLTTF_INCLUDE_DIR})
EndIf (NOT SDLTTF_FOUND)


# Sources

Set (FLARE_SOURCES
	./src/BehaviorAlly.cpp
	./src/Entity.cpp
	./src/Animation.cpp
	./src/AnimationManager.cpp
	./src/AnimationSet.cpp
	./src/AStarContainer.cpp
	./src/AStarNode.cpp
	./src/Avatar.cpp
	./src/BehaviorStandard.cpp
	./src/CampaignManager.cpp
	./src/CombatText.cpp
	./src/EffectManager.cpp
	./src/Enemy.cpp
	./src/EnemyBehavior.cpp
	./src/EnemyGroupManager.cpp
	./src/EnemyManager.cpp
	./src/EventManager.cpp
	./src/FileParser.cpp
	./src/FontEngine.cpp
	./src/GameState.cpp
	./src/GameStateConfig.cpp
	./src/GameStateCutscene.cpp
	./src/GameStateTitle.cpp
	./src/GameStateLoad.cpp
	./src/GameStatePlay.cpp
	./src/GameStateNew.cpp
	./src/GameSwitcher.cpp
	./src/GetText.cpp
	./src/Hazard.cpp
	./src/HazardManager.cpp
	./src/ImageManager.cpp
	./src/InputState.cpp
	./src/ItemManager.cpp
	./src/ItemStorage.cpp
	./src/Loot.cpp
	./src/LootManager.cpp
	./src/Map.cpp
	./src/MapCollision.cpp
	./src/MapRenderer.cpp
	./src/Menu.cpp
	./src/MenuActionBar.cpp
	./src/MenuActiveEffects.cpp
	./src/MenuCharacter.cpp
	./src/MenuConfirm.cpp
	./src/MenuEnemy.cpp
	./src/MenuExit.cpp
	./src/MenuHUDLog.cpp
	./src/MenuInventory.cpp
	./src/MenuItemStorage.cpp
	./src/MenuLog.cpp
	./src/MenuManager.cpp
	./src/MenuMiniMap.cpp
	./src/MenuNPCActions.cpp
	./src/MenuPowers.cpp
	./src/MenuStash.cpp
	./src/MenuStatBar.cpp
	./src/MenuTalker.cpp
	./src/MenuVendor.cpp
	./src/MessageEngine.cpp
	./src/ModManager.cpp
	./src/NPC.cpp
	./src/NPCManager.cpp
	./src/PowerManager.cpp
	./src/QuestLog.cpp
	./src/SaveLoad.cpp
	./src/SDL_gfxBlitFunc.c
	./src/Settings.cpp
	./src/SharedGameResources.cpp
	./src/SharedResources.cpp
	./src/StatBlock.cpp
	./src/Stats.cpp
	./src/SoundManager.cpp
	./src/TileSet.cpp
	./src/TooltipData.cpp
	./src/Utils.cpp
	./src/UtilsDebug.cpp
	./src/UtilsFileSystem.cpp
	./src/UtilsParsing.cpp
	./src/Widget.cpp
	./src/WidgetCheckBox.cpp
	./src/WidgetButton.cpp
	./src/WidgetInput.cpp
 	./src/WidgetLabel.cpp
 	./src/WidgetListBox.cpp
	./src/WidgetScrollBar.cpp
	./src/WidgetScrollBox.cpp
	./src/WidgetSlider.cpp
	./src/WidgetSlot.cpp
 	./src/WidgetTabControl.cpp
	./src/WidgetTooltip.cpp
	./src/main.cpp
)

# Add icon and file info to executable for Windows systems
IF (WIN32)
  SET(FLARE_SOURCES
    ${FLARE_SOURCES}
    ./src/Flare.rc
    )
ENDIF (WIN32)

Add_Executable (flare ${FLARE_SOURCES})

# libSDLMain comes with libSDL if needed on certain platforms
If (NOT SDLMAIN_LIBRARY)
  Set (SDLMAIN_LIBRARY "")
EndIf (NOT SDLMAIN_LIBRARY)

Target_Link_Libraries (flare ${CMAKE_LD_FLAGS} ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})


# installing to the proper places
install(PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/flare
  DESTINATION ${BINDIR})
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods"
  DESTINATION ${DATADIR}/default)
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.man"
  DESTINATION ${MANDIR}/man1
  RENAME flare.1)

=== debian/changelog ===
flare-engine (0.19-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Update Vcs URLs in debian/control
  * Add colon after "Closes" in changelog to quell lintian Error
    "possible-missing-colon-in-closes"
  * Build with "DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed" to avoid
    linking against unneeded libraries
  * Symlink with system-provided fonts through dh_link
  * Do not depend on ttf-unifont, not used
  * Refresh d/copyright with current information.  It is basically the
    same, but it had beed created from before the split between code and
    game data, so it contained information about files not present in the
    package anymore.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Aug 2015 16:46:39 +0100

flare-engine (0.19-1) unstable; urgency=medium

  * New upstream version (Closes: #734742)
    The game and the engine are now split in two source packages
    (Closes: #742062).

 -- Martin Quinson <mquinson@debian.org>  Thu, 17 Jul 2014 08:12:45 +0200

flare (0.18-1) unstable; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version 0.18

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Change maintaner address
  * Remove obsolete "DM-Upload-Allowed: yes"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 08 May 2013 21:53:39 +0100

flare (0.17.1-1~exp1) experimental; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * debhelper compatibility level set to 9 (brings fortified builds and other
    goodies), dependencies change accordingly
  * Depending on fonts (liberation and unifont) rather than installing the
    embedded ones
  * Review of debian/copyright for the new version, documenting licenses of
    included fonts, updating URLs, copyright file format
  * Updated watch file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 28 Dec 2012 00:44:42 +0000

flare (0.15.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * New upstream release (Closes: #646455)
    - Imported Upstream version 0.15.1 [76cb190]
  * Added new build dependency: libsdl-ttf2.0-dev

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Remove stuff in debian/ now present upstream:
    - flare.desktop (now in distribution/flare.desktop.in)
    - flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
      debian/source/include-binaries (created because of this icon)
  * debian/rules:
    - No need for "override_dh_fixperms" with this upstream
    - Now it doesn't contain the master CMakeLists.txt on build, so no need for
      overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
      (already commented out); nor "--builddirectory=build" to the base "dh"
      template.
    - "override_dh_install" to include --fail-missing (to avoid not installing
      new files by mistake, in this package with the data changing so often)
  * debian/copyright: minor updates, e.g. changes to dir names and clarifying
    that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
  * Update package descriptions (text taken from upstream's README)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 26 Dec 2011 22:12:48 +0000

flare (0.14.1-5) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Correcting path to icon in the menu file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 15 Nov 2011 22:12:48 +0000

flare (0.14.1-4) unstable; urgency=low

  * Installing .desktop file in the proper directory, otherwise it doesn't work
  * Quell lintian warnings:
    - latest-debian-changelog-entry-without-new-date: fix date of entry for
      version 0.14.1-3, it was set to one hour too early and didn't notice any
      lintian warning before uploading
    - duplicate-short-description: Improving description of packages flare and
      flare-data

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 14 Nov 2011 19:48:16 +0000

flare (0.14.1-3) unstable; urgency=low

  * Disabling the override of dh_fixperms at the moment, it doesn't
    seem to work on buildd machines.  Better a lintian warning that
    not being able to build in all architectures...

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 15:26:07 +0100

flare (0.14.1-2) unstable; urgency=low

  * Simplifying debian/rules by using specific flags controlling the
    directories to use for building.
  * Fixing in debian/rules the way to remove executable permissions to
    a PNG file, so it doesn't break on buildd machines (it was working
    fine in pbuilder, though).
  * Disabled the automatic re-generation of the single man page, the
    man page is already provided in its proper form and can be
    regenerated from time to time -- no need for the added complexity
    of overriding dh_installman in debian/rules.  As a consequence,
    remove the xsltproc and docbook-* build-deps (XML is not being
    used for anything else).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:09 +0100

flare (0.14.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Initial release (Closes: #622288)
  * Added CC-BY-SA text to debian/copyright
  * This is my first Debian package :)

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Recompressed the original tarball as .xz, goes down from ~120MB to
    ~78MB of space
  * Created a separate package for data
  * Minor modifications to the rules file to improve some commands
    (e.g. the way to clean/remove files)
  * Added .desktop file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 18 Oct 2011 18:49:56 +0200

=== debian/control ===
Source: flare-engine
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 9~),
               cmake (>= 2.6),
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev
Standards-Version: 3.9.6
Homepage: http://flarerpg.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/flare-engine.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/flare-engine.git

Package: flare-engine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fonts-liberation
Breaks: flare (<< 0.19), flare-data (<< 0.19)
Replaces: flare (<< 0.19), flare-data (<< 0.19)
Recommends: flare-game (>= ${binary:Version})
Description: game engine for single-player 2D action role-playing games
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the game engine and you will need a game
 package (such as flare or polymorph) to play.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	  -DCMAKE_INSTALL_PREFIX=/usr

override_dh_link:
        # Use the system-wide fonts
	dh_link -- usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf usr/share/games/flare/default/mods/default/fonts/LiberationSans-Regular.ttf


# mafm 20111021 -- man page can be regenerated from time to time, no
# need for this override dh_installman and use xsltproc every time
# (and so we save a few build-depends as well, XML is not used for
# anything else)

# override_dh_installman:
# 	xsltproc --nonet \
# 		--param make.year.ranges 1 \
# 		--param make.single.year.ranges 1 \
# 		--param man.charmap.use.subset 0 \
# 		-o debian/ \
# 		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
# 		debian/flare.1.xml
# 	dh_installman

## flare-engine 1.09.01

=== CMakeLists.txt ===
Project (Flare)
cmake_minimum_required (VERSION 2.6)

Set (PACKAGE "FLARE")
Set (VERSION "1.09.01")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

# Default definitions
if (NOT MSVC)
  set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code -Wconversion -Wno-sign-conversion -Wformat-security ${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "-fno-math-errno -fno-exceptions ${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "-std=c++98 ${CMAKE_CXX_FLAGS}")
else (NOT MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
endif (NOT MSVC)

if(CMAKE_BUILD_TYPE STREQUAL "Release")
  set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
  if(MINGW)
	set(CMAKE_CXX_FLAGS_RELEASE "-Wl,-subsystem,windows ${CMAKE_CXX_FLAGS_RELEASE}")
  endif()
elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
elseif(CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
  set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -g0")
elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -pg")
  set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
endif()

set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")
set(MANDIR  "share/man"         CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where manual pages will be installed.")

If(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
Else(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${BINDIR}/flare)
EndIf(NOT IS_ABSOLUTE "${BINDIR}")

If(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
Else(NOT IS_ABSOLUTE "${DATADIR}")
	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
EndIf(NOT IS_ABSOLUTE "${DATADIR}")


# desktop file
If(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
Else(NOT IS_ABSOLUTE "${BINDIR}")
	set(FLARE_EXECUTABLE_PATH ${BINDIR}/flare)
EndIf(NOT IS_ABSOLUTE "${BINDIR}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop")


# Detect missing dependencies
# First, search for SDL2 modules

Find_Package(SDL2)
If (NOT SDL2_FOUND)
	Message (FATAL_ERROR "Couldn't find SDL2 development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl2-dev' package.")
Else (NOT SDL2_FOUND)
	INCLUDE_DIRECTORIES(${SDL2_INCLUDE_DIR})
EndIf (NOT SDL2_FOUND)

Find_Package(SDL2_image)
If (NOT SDL2IMAGE_FOUND)
	Message (FATAL_ERROR "Couldn't find SDL2-image development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl2-image-dev' package.")
Else (NOT SDL2IMAGE_FOUND)
	INCLUDE_DIRECTORIES(${SDL2IMAGE_INCLUDE_DIR})
EndIf (NOT SDL2IMAGE_FOUND)

Find_Package(SDL2_mixer)
If (NOT SDL2MIXER_FOUND)
	Message (FATAL_ERROR "Couldn't find SDL2-mixer development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl2-mixer-dev' package.")
Else (NOT SDL2MIXER_FOUND)
	INCLUDE_DIRECTORIES(${SDL2MIXER_INCLUDE_DIR})
EndIf (NOT SDL2MIXER_FOUND)

Find_Package(SDL2_ttf)
If (NOT SDL2TTF_FOUND)
	Message (FATAL_ERROR "Couldn't find SDL2-ttf development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl2-ttf-dev' package.")
Else (NOT SDL2TTF_FOUND)
	INCLUDE_DIRECTORIES(${SDL2TTF_INCLUDE_DIR})
EndIf (NOT SDL2TTF_FOUND)


# Sources

Set (FLARE_SOURCES
	./src/BehaviorAlly.cpp
	./src/Entity.cpp
	./src/Animation.cpp
	./src/AnimationManager.cpp
	./src/AnimationSet.cpp
	./src/AStarContainer.cpp
	./src/AStarNode.cpp
	./src/Avatar.cpp
	./src/BehaviorStandard.cpp
	./src/CampaignManager.cpp
	./src/CombatText.cpp
	./src/CursorManager.cpp
	./src/DeviceList.cpp
	./src/EffectManager.cpp
	./src/Enemy.cpp
	./src/EnemyBehavior.cpp
	./src/EnemyGroupManager.cpp
	./src/EnemyManager.cpp
	./src/EngineSettings.cpp
	./src/EventManager.cpp
	./src/FileParser.cpp
	./src/FontEngine.cpp
	./src/GameSlotPreview.cpp
	./src/GameState.cpp
	./src/GameStateConfigBase.cpp
	./src/GameStateConfigDesktop.cpp
	./src/GameStateCutscene.cpp
	./src/GameStateTitle.cpp
	./src/GameStateLoad.cpp
	./src/GameStatePlay.cpp
	./src/GameStateNew.cpp
	./src/GameSwitcher.cpp
	./src/GetText.cpp
	./src/Hazard.cpp
	./src/HazardManager.cpp
	./src/IconManager.cpp
	./src/InputState.cpp
	./src/ItemManager.cpp
	./src/ItemStorage.cpp
	./src/Loot.cpp
	./src/LootManager.cpp
	./src/Map.cpp
	./src/MapParallax.cpp
	./src/MapCollision.cpp
	./src/MapRenderer.cpp
	./src/Menu.cpp
	./src/MenuActionBar.cpp
	./src/MenuActiveEffects.cpp
	./src/MenuBook.cpp
	./src/MenuCharacter.cpp
	./src/MenuConfirm.cpp
	./src/MenuDevConsole.cpp
	./src/MenuEnemy.cpp
	./src/MenuExit.cpp
	./src/MenuHUDLog.cpp
	./src/MenuInventory.cpp
	./src/MenuItemStorage.cpp
	./src/MenuLog.cpp
	./src/MenuManager.cpp
	./src/MenuMiniMap.cpp
	./src/MenuNumPicker.cpp
	./src/MenuPowers.cpp
	./src/MenuStash.cpp
	./src/MenuStatBar.cpp
	./src/MenuTalker.cpp
	./src/MenuTouchControls.cpp
	./src/MenuVendor.cpp
	./src/MessageEngine.cpp
	./src/ModManager.cpp
	./src/NPC.cpp
	./src/NPCManager.cpp
	./src/PowerManager.cpp
	./src/QuestLog.cpp
	./src/RenderDevice.cpp
	./src/SaveLoad.cpp
	./src/SDLInputState.cpp
	./src/SDLSoftwareRenderDevice.cpp
	./src/SDLSoundManager.cpp
	./src/SDLHardwareRenderDevice.cpp
 	./src/SDLFontEngine.cpp
	./src/Settings.cpp
	./src/SharedGameResources.cpp
	./src/SharedResources.cpp
	./src/SoundManager.cpp
	./src/StatBlock.cpp
	./src/Stats.cpp
	./src/Subtitles.cpp
	./src/TileSet.cpp
	./src/TooltipData.cpp
	./src/TooltipManager.cpp
	./src/Utils.cpp
	./src/UtilsDebug.cpp
	./src/UtilsFileSystem.cpp
	./src/UtilsParsing.cpp
	./src/Version.cpp
	./src/Widget.cpp
	./src/WidgetCheckBox.cpp
	./src/WidgetButton.cpp
	./src/WidgetInput.cpp
 	./src/WidgetLabel.cpp
 	./src/WidgetListBox.cpp
	./src/WidgetLog.cpp
	./src/WidgetScrollBar.cpp
	./src/WidgetScrollBox.cpp
	./src/WidgetSlider.cpp
	./src/WidgetSlot.cpp
 	./src/WidgetTabControl.cpp
	./src/WidgetTooltip.cpp
	./src/main.cpp
)

Set (FLARE_HEADERS
	./src/BehaviorAlly.h
	./src/Entity.h
	./src/Animation.h
	./src/AnimationManager.h
	./src/AnimationSet.h
	./src/AStarContainer.h
	./src/AStarNode.h
	./src/Avatar.h
	./src/BehaviorStandard.h
	./src/CampaignManager.h
	./src/CombatText.h
	./src/CommonIncludes.h
	./src/CursorManager.h
	./src/DeviceList.h
	./src/EffectManager.h
	./src/Enemy.h
	./src/EnemyBehavior.h
	./src/EnemyGroupManager.h
	./src/EnemyManager.h
	./src/EngineSettings.h
	./src/EventManager.h
	./src/FileParser.h
	./src/FontEngine.h
	./src/GameSlotPreview.h
	./src/GameState.h
	./src/GameStateConfigBase.h
	./src/GameStateConfigDesktop.h
	./src/GameStateCutscene.h
	./src/GameStateTitle.h
	./src/GameStateLoad.h
	./src/GameStatePlay.h
	./src/GameStateNew.h
	./src/GameSwitcher.h
	./src/GetText.h
	./src/Hazard.h
	./src/HazardManager.h
	./src/IconManager.h
	./src/InputState.h
	./src/ItemManager.h
	./src/ItemStorage.h
	./src/Loot.h
	./src/LootManager.h
	./src/Map.h
	./src/MapParallax.h
	./src/MapCollision.h
	./src/MapRenderer.h
	./src/Menu.h
	./src/MenuActionBar.h
	./src/MenuActiveEffects.h
	./src/MenuBook.h
	./src/MenuCharacter.h
	./src/MenuConfirm.h
	./src/MenuDevConsole.h
	./src/MenuEnemy.h
	./src/MenuExit.h
	./src/MenuHUDLog.h
	./src/MenuInventory.h
	./src/MenuItemStorage.h
	./src/MenuLog.h
	./src/MenuManager.h
	./src/MenuMiniMap.h
	./src/MenuNumPicker.h
	./src/MenuPowers.h
	./src/MenuStash.h
	./src/MenuStatBar.h
	./src/MenuTalker.h
	./src/MenuTouchControls.h
	./src/MenuVendor.h
	./src/MessageEngine.h
	./src/ModManager.h
	./src/NPC.h
	./src/NPCManager.h
	./src/PowerManager.h
	./src/QuestLog.h
	./src/RenderDevice.h
	./src/SDLInputState.h
	./src/SDLSoftwareRenderDevice.h
	./src/SDLSoundManager.h
	./src/SDLHardwareRenderDevice.h
	./src/SDLFontEngine.h
	./src/Settings.h
	./src/SharedGameResources.h
	./src/SharedResources.h
	./src/StatBlock.h
	./src/Stats.h
	./src/SoundManager.h
	./src/Subtitles.h
	./src/TileSet.h
	./src/TooltipData.h
	./src/TooltipManager.h
	./src/Utils.h
	./src/UtilsDebug.h
	./src/UtilsFileSystem.h
	./src/UtilsMath.h
	./src/UtilsParsing.h
	./src/Version.h
	./src/Widget.h
	./src/WidgetCheckBox.h
	./src/WidgetButton.h
	./src/WidgetInput.h
 	./src/WidgetLabel.h
 	./src/WidgetListBox.h
	./src/WidgetLog.h
	./src/WidgetScrollBar.h
	./src/WidgetScrollBox.h
	./src/WidgetSlider.h
	./src/WidgetSlot.h
 	./src/WidgetTabControl.h
	./src/WidgetTooltip.h
)

# Add icon and file info to executable for Windows systems
IF (WIN32)
  SET(FLARE_SOURCES
    ${FLARE_SOURCES}
    ./src/Flare.rc
    )
ENDIF (WIN32)

Add_Executable (flare ${FLARE_SOURCES} ${FLARE_HEADERS})

# libSDLMain comes with libSDL if needed on certain platforms
If (NOT SDL2MAIN_LIBRARY)
  Set (SDL2MAIN_LIBRARY "")
EndIf (NOT SDL2MAIN_LIBRARY)

Target_Link_Libraries (flare ${CMAKE_LD_FLAGS} ${SDL2_LIBRARY} ${SDL2IMAGE_LIBRARY} ${SDL2MIXER_LIBRARY} ${SDL2TTF_LIBRARY} ${SDL2MAIN_LIBRARY})


# installing to the proper places
install(PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/flare
  DESTINATION ${BINDIR})
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods"
  DESTINATION ${DATADIR})
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.man"
  DESTINATION ${MANDIR}/man6
  RENAME flare.6)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
  RENAME flare.svg)

=== debian/changelog ===
flare-engine (1.09.01-1) unstable; urgency=medium

  * New upstream release (Closes: #913944)
  * d/copyright, d/watch: Update upstream URLs
  * d/copyright: use https in format URL
  * Bump Policy Standards-Version to 4.3.0 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Jan 2019 00:24:23 +0100

flare-engine (1.07-1) unstable; urgency=medium

  * New upstream release (Closes: #883027)
    - d/patches:
      * remove bf8b090.patch
      * remove refuse-default-game.patch
    - Update build-dependencies to SDL2 from 1.2
    - Use man page from upstream rather than the one in debian/
  * Bump Policy Standards-Version to 4.1.5 (no changes needed)
  * debhelper compatibility level set to v11
  * Update d/watch file
  * d/control:
    - Update Vcs-* fields
    - Update maintainers
    - Replace Recommends on flare-game to ${source:Version} from "binary"
    - Add Break/Replaces "flare-game (<< 1.07)", due to files moving
  * Use the system-wide fonts

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 07 Sep 2018 23:42:07 +0200

flare-engine (0.19-3) unstable; urgency=medium

  * Fix broken symlink to a font, thanks to Andreas Beckmann (Closes: #857395)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Apr 2017 21:59:47 +0200

=== debian/control ===
Source: flare-engine
Section: games
Priority: optional
Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Uploaders: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 11~),
               cmake (>= 2.6),
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-ttf-dev
Standards-Version: 4.3.0
Homepage: http://flarerpg.org/
Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
Vcs-Browser: https://salsa.debian.org/games-team/flare-engine

Package: flare-engine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fonts-liberation,
         ttf-unifont
Breaks: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
Replaces: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
Recommends: flare-game (>= ${source:Version})
Description: game engine for single-player 2D action role-playing games
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the game engine and you will need a game
 package (such as flare or polymorph) to play.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	  -DCMAKE_INSTALL_PREFIX=/usr

override_dh_link:
        # remove fonts from upstream
	rm -fv /usr/share/games/flare/mods/default/fonts/{LiberationSans,unifont}-*

        # links fonts to their location in Debian
	dh_link

=== debian/watch ===
version=4
https://github.com/flareteam/flare-engine/tags .*/v(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## flare-engine 1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,35 +2,53 @@
 cmake_minimum_required (VERSION 2.6)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "1.09.01")
+Set (VERSION "1.12")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
+# can't use add_compile_options here. Seems to have something to do with add_compile_options appending it after the "-O3 -DNDEBUG" flags
+if (MINGW AND CMAKE_BUILD_TYPE STREQUAL "Release")
+	set(CMAKE_CXX_FLAGS_RELEASE "-Wl,-subsystem,windows ${CMAKE_CXX_FLAGS_RELEASE}")
+endif()
+
 # Default definitions
-if (NOT MSVC)
-  set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code -Wconversion -Wno-sign-conversion -Wformat-security ${CMAKE_CXX_FLAGS}")
-  set(CMAKE_CXX_FLAGS "-fno-math-errno -fno-exceptions ${CMAKE_CXX_FLAGS}")
-  set(CMAKE_CXX_FLAGS "-std=c++98 ${CMAKE_CXX_FLAGS}")
-else (NOT MSVC)
-  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
-  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
-  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
-endif (NOT MSVC)
-
-if(CMAKE_BUILD_TYPE STREQUAL "Release")
-  set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
-  if(MINGW)
-	set(CMAKE_CXX_FLAGS_RELEASE "-Wl,-subsystem,windows ${CMAKE_CXX_FLAGS_RELEASE}")
-  endif()
-elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
-  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
-elseif(CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
-  set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -g0")
-elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
-  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -pg")
-  set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
-  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "-pg")
-  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
+if (MSVC)
+	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+	add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
+	add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
+else ()
+	add_compile_options(
+		-Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code -Wconversion -Wno-sign-conversion -Wformat-security
+		-fno-math-errno -fno-exceptions
+		-std=c++98
+	)
+endif ()
+
+add_compile_options(
+	"$<$<CONFIG:RELEASE>:-O2>"
+	"$<$<CONFIG:RELEASE>:-g0>"
+
+	"$<$<CONFIG:RELWITHDEBINFO>:-O2>"
+	"$<$<CONFIG:RELWITHDEBINFO>:-g>"
+
+	"$<$<CONFIG:MINSIZEREL>:-Os>"
+	"$<$<CONFIG:MINSIZEREL>:-g0>"
+
+	"$<$<CONFIG:DEBUG>:-O0>"
+	"$<$<CONFIG:DEBUG>:-g3>"
+	"$<$<CONFIG:DEBUG>:-pg>"
+)
+
+# Not supported by CMake 3.12!
+# Travis uses this version so we have to stick to modifying the strings...
+# add_link_options(
+# 	"$<$<CONFIG:DEBUG>:-pg>"
+# )
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+	set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg ${CMAKE_EXE_LINKER_FLAGS_DEBUG}")
+	set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "-pg ${CMAKE_SHARED_LINKER_FLAGS_DEBUG}")
+	set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg ${CMAKE_MODULE_LINKER_FLAGS_DEBUG}")
 endif()
 
 set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
@@ -94,32 +112,30 @@
 # Sources
 
 Set (FLARE_SOURCES
-	./src/BehaviorAlly.cpp
-	./src/Entity.cpp
 	./src/Animation.cpp
+	./src/AnimationMedia.cpp
 	./src/AnimationManager.cpp
 	./src/AnimationSet.cpp
 	./src/AStarContainer.cpp
 	./src/AStarNode.cpp
 	./src/Avatar.cpp
-	./src/BehaviorStandard.cpp
+	./src/Camera.cpp
 	./src/CampaignManager.cpp
 	./src/CombatText.cpp
 	./src/CursorManager.cpp
 	./src/DeviceList.cpp
 	./src/EffectManager.cpp
-	./src/Enemy.cpp
-	./src/EnemyBehavior.cpp
 	./src/EnemyGroupManager.cpp
-	./src/EnemyManager.cpp
 	./src/EngineSettings.cpp
+	./src/Entity.cpp
+	./src/EntityBehavior.cpp
+	./src/EntityManager.cpp
 	./src/EventManager.cpp
 	./src/FileParser.cpp
 	./src/FontEngine.cpp
 	./src/GameSlotPreview.cpp
 	./src/GameState.cpp
-	./src/GameStateConfigBase.cpp
-	./src/GameStateConfigDesktop.cpp
+	./src/GameStateConfig.cpp
 	./src/GameStateCutscene.cpp
 	./src/GameStateTitle.cpp
 	./src/GameStateLoad.cpp
@@ -144,16 +160,19 @@
 	./src/MenuActiveEffects.cpp
 	./src/MenuBook.cpp
 	./src/MenuCharacter.cpp
+	./src/MenuConfig.cpp
 	./src/MenuConfirm.cpp
 	./src/MenuDevConsole.cpp
 	./src/MenuEnemy.cpp
 	./src/MenuExit.cpp
+	./src/MenuGameOver.cpp
 	./src/MenuHUDLog.cpp
 	./src/MenuInventory.cpp
 	./src/MenuItemStorage.cpp
 	./src/MenuLog.cpp
 	./src/MenuManager.cpp
 	./src/MenuMiniMap.cpp
+	./src/MenuMovementType.cpp
 	./src/MenuNumPicker.cpp
 	./src/MenuPowers.cpp
 	./src/MenuStash.cpp
@@ -173,7 +192,7 @@
 	./src/SDLSoftwareRenderDevice.cpp
 	./src/SDLSoundManager.cpp
 	./src/SDLHardwareRenderDevice.cpp
- 	./src/SDLFontEngine.cpp
+	./src/SDLFontEngine.cpp
 	./src/Settings.cpp
 	./src/SharedGameResources.cpp
 	./src/SharedResources.cpp
@@ -192,47 +211,46 @@
 	./src/Widget.cpp
 	./src/WidgetCheckBox.cpp
 	./src/WidgetButton.cpp
+	./src/WidgetHorizontalList.cpp
 	./src/WidgetInput.cpp
- 	./src/WidgetLabel.cpp
- 	./src/WidgetListBox.cpp
+	./src/WidgetLabel.cpp
+	./src/WidgetListBox.cpp
 	./src/WidgetLog.cpp
 	./src/WidgetScrollBar.cpp
 	./src/WidgetScrollBox.cpp
 	./src/WidgetSlider.cpp
 	./src/WidgetSlot.cpp
- 	./src/WidgetTabControl.cpp
+	./src/WidgetTabControl.cpp
 	./src/WidgetTooltip.cpp
 	./src/main.cpp
 )
 
 Set (FLARE_HEADERS
-	./src/BehaviorAlly.h
-	./src/Entity.h
 	./src/Animation.h
+	./src/AnimationMedia.h
 	./src/AnimationManager.h
 	./src/AnimationSet.h
 	./src/AStarContainer.h
 	./src/AStarNode.h
 	./src/Avatar.h
-	./src/BehaviorStandard.h
+	./src/Camera.h
 	./src/CampaignManager.h
 	./src/CombatText.h
 	./src/CommonIncludes.h
 	./src/CursorManager.h
 	./src/DeviceList.h
 	./src/EffectManager.h
-	./src/Enemy.h
-	./src/EnemyBehavior.h
 	./src/EnemyGroupManager.h
-	./src/EnemyManager.h
 	./src/EngineSettings.h
+	./src/Entity.h
+	./src/EntityBehavior.h
+	./src/EntityManager.h
 	./src/EventManager.h
 	./src/FileParser.h
 	./src/FontEngine.h
 	./src/GameSlotPreview.h
 	./src/GameState.h
-	./src/GameStateConfigBase.h
-	./src/GameStateConfigDesktop.h
+	./src/GameStateConfig.h
 	./src/GameStateCutscene.h
 	./src/GameStateTitle.h
 	./src/GameStateLoad.h
@@ -257,16 +275,19 @@
 	./src/MenuActiveEffects.h
 	./src/MenuBook.h
 	./src/MenuCharacter.h
+	./src/MenuConfig.h
 	./src/MenuConfirm.h
 	./src/MenuDevConsole.h
 	./src/MenuEnemy.h
 	./src/MenuExit.h
+	./src/MenuGameOver.h
 	./src/MenuHUDLog.h
 	./src/MenuInventory.h
 	./src/MenuItemStorage.h
 	./src/MenuLog.h
 	./src/MenuManager.h
 	./src/MenuMiniMap.h
+	./src/MenuMovementType.h
 	./src/MenuNumPicker.h
 	./src/MenuPowers.h
 	./src/MenuStash.h
@@ -305,31 +326,32 @@
 	./src/Widget.h
 	./src/WidgetCheckBox.h
 	./src/WidgetButton.h
+	./src/WidgetHorizontalList.h
 	./src/WidgetInput.h
- 	./src/WidgetLabel.h
- 	./src/WidgetListBox.h
+	./src/WidgetLabel.h
+	./src/WidgetListBox.h
 	./src/WidgetLog.h
 	./src/WidgetScrollBar.h
 	./src/WidgetScrollBox.h
 	./src/WidgetSlider.h
 	./src/WidgetSlot.h
- 	./src/WidgetTabControl.h
+	./src/WidgetTabControl.h
 	./src/WidgetTooltip.h
 )
 
 # Add icon and file info to executable for Windows systems
 IF (WIN32)
-  SET(FLARE_SOURCES
-    ${FLARE_SOURCES}
-    ./src/Flare.rc
-    )
+	SET(FLARE_SOURCES
+	${FLARE_SOURCES}
+	./src/Flare.rc
+	)
 ENDIF (WIN32)
 
 Add_Executable (flare ${FLARE_SOURCES} ${FLARE_HEADERS})
 
 # libSDLMain comes with libSDL if needed on certain platforms
 If (NOT SDL2MAIN_LIBRARY)
-  Set (SDL2MAIN_LIBRARY "")
+	Set (SDL2MAIN_LIBRARY "")
 EndIf (NOT SDL2MAIN_LIBRARY)
 
 Target_Link_Libraries (flare ${CMAKE_LD_FLAGS} ${SDL2_LIBRARY} ${SDL2IMAGE_LIBRARY} ${SDL2MIXER_LIBRARY} ${SDL2TTF_LIBRARY} ${SDL2MAIN_LIBRARY})
@@ -337,19 +359,19 @@
 
 # installing to the proper places
 install(PROGRAMS
-  ${CMAKE_CURRENT_BINARY_DIR}/flare
-  DESTINATION ${BINDIR})
+	${CMAKE_CURRENT_BINARY_DIR}/flare
+	DESTINATION ${BINDIR})
 install(DIRECTORY
-  "${CMAKE_CURRENT_SOURCE_DIR}/mods"
-  DESTINATION ${DATADIR})
+	"${CMAKE_CURRENT_SOURCE_DIR}/mods"
+	DESTINATION ${DATADIR})
 install(FILES
-  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.man"
-  DESTINATION ${MANDIR}/man6
-  RENAME flare.6)
+	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.man"
+	DESTINATION ${MANDIR}/man6
+	RENAME flare.6)
 install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+	"${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES
-  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
-  RENAME flare.svg)
+	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
+	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
+	RENAME flare.svg)

=== debian/changelog ===
flare-engine (1.12-1) unstable; urgency=medium

  * New upstream version.
  * Depends on fonts-unifont instead of ttf-unifont (Closes: #986852).
  * d/rules: Add hardening=+all to build options (Lintian).
  * d/lintian-overrides: ignore game content that is flagged as doc.
  * d/control: Bump debhelper to v13 and standard-version to 4.6.0.
  * d/upstream/metadata: Populate this file (Lintian).

 -- Martin Quinson <mquinson@debian.org>  Wed, 25 Aug 2021 23:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.6),
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine
@@ -19,7 +19,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          fonts-liberation,
-         ttf-unifont
+         fonts-unifont
 Breaks: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Replaces: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Recommends: flare-game (>= ${source:Version})

## flare-engine 1.13.04

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Project (Flare)
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "1.12")
+Set (VERSION "1.13.04")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -17,6 +17,10 @@
 	add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
 	add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
 else ()
+	if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+		add_compile_options(-Wno-psabi)
+	endif()
+
 	add_compile_options(
 		-Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code -Wconversion -Wno-sign-conversion -Wformat-security
 		-fno-math-errno -fno-exceptions
@@ -132,6 +136,7 @@
 	./src/EntityManager.cpp
 	./src/EventManager.cpp
 	./src/FileParser.cpp
+	./src/FogOfWar.cpp
 	./src/FontEngine.cpp
 	./src/GameSlotPreview.cpp
 	./src/GameState.cpp
@@ -247,6 +252,7 @@
 	./src/EntityManager.h
 	./src/EventManager.h
 	./src/FileParser.h
+	./src/FogOfWar.h
 	./src/FontEngine.h
 	./src/GameSlotPreview.h
 	./src/GameState.h
@@ -372,6 +378,6 @@
 	"${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES
-	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
+	"${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo_icon.svg"
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 	RENAME flare.svg)

=== debian/changelog ===
flare-engine (1.13.04-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.

  [ Martin Quinson ]
  * New upstream release.
  * d/control: Bump standards-version to 4.6.1 (no change needed).
  * Various lintian cleanups.

 -- Martin Quinson <mquinson@debian.org>  Mon, 11 Jul 2022 10:52:35 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.6.0
-Homepage: http://flarerpg.org/
+Standards-Version: 4.6.1
+Homepage: https://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine

## flare-engine 1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 2.8.12)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "1.13.04")
+Set (VERSION "1.14")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -227,6 +227,7 @@
 	./src/WidgetSlot.cpp
 	./src/WidgetTabControl.cpp
 	./src/WidgetTooltip.cpp
+	./src/XPScaling.cpp
 	./src/main.cpp
 )
 
@@ -343,6 +344,7 @@
 	./src/WidgetSlot.h
 	./src/WidgetTabControl.h
 	./src/WidgetTooltip.h
+	./src/XPScaling.h
 )
 
 # Add icon and file info to executable for Windows systems

=== debian/changelog ===
flare-engine (1.14-4) unstable; urgency=medium

  * d/p/cmake4: new patch to bump the minimal CMake version, so that
    it works with CMake 4 (closes: #1112917).

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Oct 2025 23:01:29 +0200

flare-engine (1.14-3) unstable; urgency=medium

  * Let's rebuild of the package to make it enter despite my previous errors.
    It seems I messed up the date in my previous version, so the robots keep
    rejecting my package. Same player plays again, as it seems.

 -- Martin Quinson <mquinson@debian.org>  Wed, 19 Jul 2023 10:50:58 +0200

flare-engine (1.14-2) unstable; urgency=medium

  [ Martin Quinson ]
  * Fix link to the system-wide fonts (#1035871).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.6).
    + flare-engine: Drop conflict with removed package flare (<< 0.19) in Replaces.
    + flare-engine: Drop conflict with removed package flare-data (<< 0.19) in Replaces.
    + flare-engine: Drop conflict with removed package flare-game (<< 1.07) in Replaces.
    + flare-engine: Drop conflict with removed package flare (<< 0.19) in Breaks.
    + flare-engine: Drop conflict with removed package flare-data (<< 0.19) in Breaks.
    + flare-engine: Drop conflict with removed package flare-game (<< 1.07) in Breaks.

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Feb 2023 14:34:27 +0100

flare-engine (1.14-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards-version to 4.6.2 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Feb 2023 14:34:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake (>= 2.6),
+               cmake,
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-ttf-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flarerpg.org/
 Vcs-Git: https://salsa.debian.org/games-team/flare-engine.git
 Vcs-Browser: https://salsa.debian.org/games-team/flare-engine
@@ -20,8 +20,6 @@
          ${misc:Depends},
          fonts-liberation,
          fonts-unifont
-Breaks: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
-Replaces: flare (<< 0.19), flare-data (<< 0.19), flare-game (<< 1.07)
 Recommends: flare-game (>= ${source:Version})
 Description: game engine for single-player 2D action role-playing games
  Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS += hardening=+all
 
 %:
 	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
https://github.com/flareteam/flare-engine/tags .*/v?(\d\S+)\.tar\.gz
